atkmm: Atk::Hyperlink Class Reference

atkmm 2.28.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Atk::Hyperlink Class Reference

Encapsulates a link or set of links in a hypertext document. More...

`#include <atkmm/hyperlink.h>`

Inheritance diagram for Atk::Hyperlink:
[legend]

## Public Member Functions
| Hyperlink (Hyperlink&& src) noexcept
Hyperlink& | operator= (Hyperlink&& src) noexcept
| ~Hyperlink () noexcept override
AtkHyperlink* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkHyperlink* | gobj () const
| Provides access to the underlying C GObject. More...
AtkHyperlink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_uri (int i) const
| Get a the URI associated with the anchor specified by i of link. More...
Glib::RefPtr< Atk::Object > | get_object (int i)
| Returns the item associated with this hyperlinks nth anchor. More...
Glib::RefPtr< const Atk::Object > | get_object (int i) const
| Returns the item associated with this hyperlinks nth anchor. More...
int | get_end_index () const
| Gets the index with the hypertext document at which this link ends. More...
int | get_start_index () const
| Gets the index with the hypertext document at which this link begins. More...
bool | is_valid () const
| Since the document that a link is associated with may have changed this method returns `true` if the link is still valid (with respect to the document it references) and `false` otherwise. More...
bool | is_inline () const
| Indicates whether the link currently displays some or all of its content inline. More...
int | get_n_anchors () const
| Gets the number of anchors associated with this hyperlink. More...
Glib::SignalProxy< void > | signal_link_activated ()
Glib::PropertyProxy_ReadOnly< bool > | property_selected_link () const
| Specifies whether the AtkHyperlink object is selected. More...
Glib::PropertyProxy_ReadOnly< int > | property_number_of_anchors () const
| The number of anchors associated with the AtkHyperlink object. More...
Glib::PropertyProxy_ReadOnly< int > | property_end_index () const
| The end index of the AtkHyperlink object. More...
Glib::PropertyProxy_ReadOnly< int > | property_start_index () const
| The start index of the AtkHyperlink object. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Atk::Action
| Action (Action&& src) noexcept
Action& | operator= (Action&& src) noexcept
| ~Action () noexcept override
AtkAction* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkAction* | gobj () const
| Provides access to the underlying C GObject. More...
bool | do_action (int i)
| Perform the specified action on the object. More...
int | get_n_actions () const
| Gets the number of accessible actions available on the object. More...
Glib::ustring | get_description (int i) const
| Returns a description of the specified action of the object. More...
Glib::ustring | get_name (int i) const
| Returns the name of the specified action of the object. More...
Glib::ustring | get_keybinding (int i)
| Returns a keybinding associated with this action, if one exists. More...
bool | set_description (int i, const Glib::ustring& desc)
| Sets a description of the specified action of the object. More...
Glib::ustring | get_localized_name (int i)
| Returns the localized name of the specified action of the object. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Action
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
virtual gchar* | get_uri_vfunc (int i) const
virtual Glib::RefPtr< Atk::Object > | get_object_vfunc (int i)
virtual int | get_end_index_vfunc () const
virtual int | get_start_index_vfunc () const
virtual bool | is_valid_vfunc () const
virtual int | get_n_anchors_vfunc () const
virtual guint | link_state_vfunc () const
virtual bool | is_selected_link_vfunc () const
virtual void | on_link_activated ()
| This is a default handler for the signal signal_link_activated(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Atk::Action
| Action ()
| You should derive from this class to use it. More...
virtual bool | do_action_vfunc (int i)
virtual int | get_n_actions_vfunc () const
virtual const char* | get_description_vfunc (int i) const
virtual const char* | get_name_vfunc (int i) const
virtual const char* | get_keybinding_vfunc (int i) const
virtual bool | set_description_vfunc (int i, const Glib::ustring& desc)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Hyperlink > | wrap (AtkHyperlink* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Action
Glib::RefPtr< Atk::Action > | wrap (AtkAction* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Encapsulates a link or set of links in a hypertext document.

## Constructor & Destructor Documentation

## ◆ Hyperlink()

Atk::Hyperlink::Hyperlink | ( | Hyperlink&& | src | ) |
| noexcept

## ◆ ~Hyperlink()

Atk::Hyperlink::~Hyperlink | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_end_index()

int Atk::Hyperlink::get_end_index | ( |  | ) | const

Gets the index with the hypertext document at which this link ends.

Returns
  The index with the hypertext document at which this link ends.

## ◆ get_end_index_vfunc()

virtual int Atk::Hyperlink::get_end_index_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_n_anchors()

int Atk::Hyperlink::get_n_anchors | ( |  | ) | const

Gets the number of anchors associated with this hyperlink.

Returns
  The number of anchors associated with this hyperlink.

## ◆ get_n_anchors_vfunc()

virtual int Atk::Hyperlink::get_n_anchors_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_object() [1/2]

Glib::RefPtr<Atk::Object> Atk::Hyperlink::get_object | ( | int | i | ) |

Returns the item associated with this hyperlinks nth anchor.

For instance, the returned Atk::Object will implement Atk::Text if link is a text hyperlink, Atk::Image if link is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

Parameters

  i | A (zero-index) integer specifying the desired anchor.

Returns
  An Atk::Object associated with this hyperlinks i-th anchor.

## ◆ get_object() [2/2]

Glib::RefPtr<const Atk::Object> Atk::Hyperlink::get_object | ( | int | i | ) | const

Returns the item associated with this hyperlinks nth anchor.

For instance, the returned Atk::Object will implement Atk::Text if link is a text hyperlink, Atk::Image if link is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

Parameters

  i | A (zero-index) integer specifying the desired anchor.

Returns
  An Atk::Object associated with this hyperlinks i-th anchor.

## ◆ get_object_vfunc()

virtual Glib::RefPtr<Atk::Object> Atk::Hyperlink::get_object_vfunc | ( | int | i | ) |
| protectedvirtual

## ◆ get_start_index()

int Atk::Hyperlink::get_start_index | ( |  | ) | const

Gets the index with the hypertext document at which this link begins.

Returns
  The index with the hypertext document at which this link begins.

## ◆ get_start_index_vfunc()

virtual int Atk::Hyperlink::get_start_index_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_type()

static GType Atk::Hyperlink::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_uri()

Glib::ustring Atk::Hyperlink::get_uri | ( | int | i | ) | const

Get a the URI associated with the anchor specified by i of link.

Multiple anchors are primarily used by client-side image maps.

Parameters

  i | A (zero-index) integer specifying the desired anchor.

Returns
  A string specifying the URI.

## ◆ get_uri_vfunc()

virtual gchar* Atk::Hyperlink::get_uri_vfunc | ( | int | i | ) | const
| protectedvirtual

## ◆ gobj() [1/2]

AtkHyperlink* Atk::Hyperlink::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkHyperlink* Atk::Hyperlink::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

AtkHyperlink* Atk::Hyperlink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_inline()

bool Atk::Hyperlink::is_inline | ( |  | ) | const

Indicates whether the link currently displays some or all of its content inline.

Ordinary HTML links will usually return `false`, but an inline <src> HTML element will return `true`.

Returns
  Whether or not this link displays its content inline.

## ◆ is_selected_link_vfunc()

virtual bool Atk::Hyperlink::is_selected_link_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ is_valid()

bool Atk::Hyperlink::is_valid | ( |  | ) | const

Since the document that a link is associated with may have changed this method returns `true` if the link is still valid (with respect to the document it references) and `false` otherwise.

Returns
  Whether or not this link is still valid.

## ◆ is_valid_vfunc()

virtual bool Atk::Hyperlink::is_valid_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ link_state_vfunc()

virtual guint Atk::Hyperlink::link_state_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ on_link_activated()

virtual void Atk::Hyperlink::on_link_activated | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_link_activated().

## ◆ operator=()

Hyperlink& Atk::Hyperlink::operator= | ( | Hyperlink&& | src | ) |
| noexcept

## ◆ property_end_index()

Glib::PropertyProxy_ReadOnly< int > Atk::Hyperlink::property_end_index | ( |  | ) | const

The end index of the AtkHyperlink object.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_number_of_anchors()

Glib::PropertyProxy_ReadOnly< int > Atk::Hyperlink::property_number_of_anchors | ( |  | ) | const

The number of anchors associated with the AtkHyperlink object.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selected_link()

Glib::PropertyProxy_ReadOnly< bool > Atk::Hyperlink::property_selected_link | ( |  | ) | const

Specifies whether the AtkHyperlink object is selected.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_start_index()

Glib::PropertyProxy_ReadOnly< int > Atk::Hyperlink::property_start_index | ( |  | ) | const

The start index of the AtkHyperlink object.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ signal_link_activated()

Glib::SignalProxy< void > Atk::Hyperlink::signal_link_activated | ( |  | ) |

Slot Prototype:
  `void on_my_link_activated()`

Flags: Run Last

The signal link-activated is emitted when a link is activated.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Atk::Hyperlink > wrap | ( | AtkHyperlink * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.